__gnu_pbds::detail::cond_dealtor< Entry, _Alloc >(3)

NAME
__gnu_pbds::detail::cond_dealtor< Entry, _Alloc > -

SYNOPSIS

  Public Types
typedef HT_Map::entry entry
typedef HT_Map::entry_allocator entry_allocator
typedef __rebind_e::other entry_allocator
typedef entry_allocator::pointer entry_pointer
typedef HT_Map::key_type key_type

  Public Member Functions
cond_dealtor (entry_allocator *p_a, entry *p_e)
cond_dealtor (entry_pointer p_e)
void set_key_destruct ()
void set_no_action ()
void set_no_action_destructor ()

  Protected Attributes
bool m_key_destruct
entry_allocator *const m_p_a
entry *const m_p_e

Detailed Description

  template<typename Entry, typename _Alloc>class __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >
Conditional deallocate constructor argument. Conditional dey destructor, cc_hash.

Definition at line 50 of file cond_dealtor.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.